/**
 * CSE 154 | Spring 2019
 *
 * Use for testing solution for problem 5 19sp midterm exam
 */
(function(){
  "use strict";


  window.addEventListener("load", init);

  // You must implement the rest of this program on the next page.
  // You must implement the rest of the JS program for Problem 5 on this page:




  /**
   *  Helper function that will change the classList for an item
   *  to make each spot grow from unplanted to a seedling to a
   *  randomly colored tulip
   *  @param{Object} item - the item to change from .unplanted to .seedling
   *                        to a randomly colored tulip. (.____-tulip)
  */
  function grow(item) {
    if (item.classList.contains("seed")) {
      item.classList.remove("seed");
      item.classList.add("sprout");
    } else if (item.classList.contains("sprout")) {
      const colors = ["purple", "red", "yellow"];

      item.classList.remove("sprout");
      let randomNum = parseInt(Math.random() * 3);
      item.classList.add(colors[randomNum] + "-tulip");
    }
  }


  /* ------------------------------ Helper Functions  ------------------------------ */
  // Note: You may use these in your code, but do remember that your code should not have
  // any functions defined that are unused.

  /**
   * Returns the element that has the ID attribute with the specified value.
   * @param {string} idName - element ID
   * @returns {object} DOM object associated with id.
   */
  function id(idName) {
    return document.getElementById(idName);
  }

  /**
   * Returns the first element that matches the given CSS selector.
   * @param {string} query - CSS query selector.
   * @returns {object} The first DOM object matching the query.
   */
  function qsa(selector) {
    return document.querySelectorAll(selector);
  }

})();
